WMF-hosted wiki request for Ro-Md Wikimedians user group
Closed, ResolvedPublic

Description

Hello.

On behalf of the newly established Wikimedians of Romania and Moldova User Group, I would like to request a WMF-hosted wiki for this user group to use as a website for it.

If this is not the correct project to ask this, I apologise and request to please move the ticket or advise where to post the request.

User group URL: https://meta.wikimedia.org/wiki/Wikimedians_of_Romania_and_Moldova_User_Group

Configuration

  • This is going to be a public wiki
  • Domain: romd.wikimedia.org
  • Extensions: Nothing special
  • Should local bureaucrats be able to desysop sysops/bureaucrats: Yes
  • Initial bureaucrat: [[User:Andrei Stroe]]
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2018, 1:13 PM
Strainu added a subscriber: Giku.Feb 13 2018, 1:37 PM
Urbanecm triaged this task as Low priority.Feb 20 2018, 10:19 AM
Urbanecm added subscribers: MarcoAurelio, Dereckson, Urbanecm.

i don't know if this should be approved by somebody, @Dereckson, @MarcoAurelio, maybe you know?

Anyway, we will need to know what the wiki's settings should be (private wiki? public? fishbowl? logo? sitename? any extensions? should local bureaucrats desysop users? or should this be handled by the stewards? etc) and to know the initial bureaucrat of the wiki who will care about granting rights to others.

i don't know if this should be approved by somebody, @Dereckson, @MarcoAurelio, maybe you know?

We simply need to assert the request for a .wikimedia.org wiki is for a Wikimedia-related purpose, like a future chapter or an user group (this is the case here).

Dereckson updated the task description. (Show Details)EditedFeb 20 2018, 10:36 AM

For the domain name, user groups are generally in <country>.wikimedia.org, so here perhaps ro-md.wikimedia.org would be suitable?

(and I've just noticed this is coherent with the title of task)

I would personally prefer romd.wikipedia.org (we often use WMROMD as a short name). @Andrei_Stroe @Giku : any preferences from you?

Regarding the questons from @Urbanecm:

Ok, I'm going to prepare initial configuration.

Urbanecm updated the task description. (Show Details)Feb 20 2018, 12:59 PM
Urbanecm updated the task description. (Show Details)

@Strainu Just to confirm, a public wiki is wiki that is publicly readable and editable, a fishbowl wiki is a wiki that is publicly readable and editable by whitelisted users. Please confirm a public wiki is what you want, just I can be sure you know the meaning.

Change 412896 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Add romd.wikimedia.org

https://gerrit.wikimedia.org/r/412896

Change 412898 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/puppet@production] Add romd.wikimedia.org

https://gerrit.wikimedia.org/r/412898

@Strainu What should be the sitename (English Wikipedia has Wikipedia as sitename)? It should be localized name of your user group probably.

Change 412902 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for romdwikimedia

https://gerrit.wikimedia.org/r/412902

Initial configuration done. Please reply to my questions, I'll amend my patches when necessary. Then, a sysadmin must reserve a window and create the wiki for real. This can take anything from a few of weeks to a few of months. Wiki-creation is complex and requires a lot of actions from a lot of teams, so please be patient.

I don't think we can create chapters/user group wikis without approval from the ChapCom. Can somebody ask them? We're going to "hand" a wikimedia.org domain. I guess that requires some sort of sign-off. At least it'd be sensible to do so.

Dereckson added a comment.EditedFeb 20 2018, 3:46 PM

Of course we can, chapters-to-be wikis lived sometimes 3 to 8 years before a final approval of chapcom.

The condition to get a .wikimedia.org wiki is "do something related to Wikimedia, requiring coordination and organization".

There is a need to prepare bylaws for example and meet other legal obligations.

The condition to get a .wikimedia.org wiki is "do something related to Wikimedia, requiring coordination and organization".

Is that documented somewhere?

Dereckson added a comment.EditedFeb 20 2018, 3:59 PM

https://meta.wikimedia.org/wiki/Setting_up_an_internal_Wikimedia_wiki

Get consensus - is this wiki really needed? What will it be used for? Has the relevant community, arbcom, or WMF body, that is responsible for the wiki, agreed to its creation?

So the consensus is to get from the current or future user group / chapter itself

That helps. Thanks.

I would personally prefer romd.wikipedia.org (we often use WMROMD as a short name). @Andrei_Stroe @Giku : any preferences from you?

What we could do is:

  1. serve the wiki under romid.
  2. redirects ro-md.wikmedia.org to https://romid.wikimedia.org/
Dereckson updated the task description. (Show Details)Feb 20 2018, 7:34 PM

Thanks for the correction @Dereckson , wikipedia was indeed a typo from me. I'm not sure why the "i" in romid though?

@Urbanecm, I am not familiar with fishbowl sites. We will need to evaluate this. Could you indicate some user-level documentation, I can't seem to find anything on mw.org?

For the question about the sitename, I'll let @Andrei_Stroe respond.

@Strainu A fishbowl wiki is a wiki that is publicly viewable but editting is restricted to user accounts. Accounts have to be created manually by request by some of the other members.

We were happy with regular accounts on Wikimedia Belgium wiki, but some user groups and chapters prefer to avoid vandalism or control who can publish.

If you only want some static pages presenting activities, a fishbowl is fine. But if you want also interested people to contribute, for example to coordinate events,,a regular wiki is preferable.

After some discussion, we decided on:

  1. romd.wikimedia.org for the domain name
  2. fishbowl wiki
  3. "Wikimedia România și Moldova" for site name

Thank you. Amended the patch so it knows this will be a fishbowl wikis. I also notified database administrators because I don't know if it will change anything at their side.

Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.

Change 412896 merged by Dzahn:
[operations/dns@master] Add romd.wikimedia.org

https://gerrit.wikimedia.org/r/412896

Dzahn added a subscriber: Dzahn.Mar 12 2018, 5:24 PM

added to DNS:

romd.wikimedia.org has address 208.80.154.224
romd.wikimedia.org has IPv6 address 2620:0:861:ed1a::1

Change 418965 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Add mobile DNS entry for romdwikimedia

https://gerrit.wikimedia.org/r/418965

Change 418965 merged by Dzahn:
[operations/dns@master] Add mobile DNS entry for romdwikimedia

https://gerrit.wikimedia.org/r/418965

Change 412898 merged by Dzahn:
[operations/puppet@production] mediawiki/apache: Add romd.wikimedia.org ServerAlias

https://gerrit.wikimedia.org/r/412898

Dzahn removed a subscriber: Dzahn.Mar 22 2018, 2:04 PM

Any more movement on this issue?

Creating wikis requires involving from a lot of technicans from a lot of different teams and it can take several months to complete. Thank you for understanding.

Change 412902 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for romdwikimedia

https://gerrit.wikimedia.org/r/412902

Change 427547 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Declare six new wikis to wikiversions

https://gerrit.wikimedia.org/r/427547

Change 427547 merged by jenkins-bot:
[operations/mediawiki-config@master] Declare six new wikis to wikiversions

https://gerrit.wikimedia.org/r/427547

Change 427550 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Set romd.wikimedia.org language

https://gerrit.wikimedia.org/r/427550

Giku removed a subscriber: Giku.Apr 18 2018, 9:47 PM

Change 427550 merged by jenkins-bot:
[operations/mediawiki-config@master] Set romd.wikimedia.org language

https://gerrit.wikimedia.org/r/427550

I see the wiki is now available. What is the process for having accounts on that wiki and what other steps are needed? Thanks

You can comment who should get a bureaucrat account and under what
username. We then run a script to create them.

Andrei_Stroe added a comment.EditedApr 19 2018, 12:38 PM

As specified above, I should be the initial bureaucrat, under the username "Andrei Stroe"

Mentioned in SAL (#wikimedia-operations) [2018-04-19T14:47:16Z] <Dereckson> Create bureaucrat account for [[User:Anderi Store]] on romd.wikimedia (T187184)

Mentioned in SAL (#wikimedia-operations) [2018-04-19T14:48:38Z] <Dereckson> Erratum: read "[[User:Andrei Stroe]]" and not "[[User:Anderi Store]]" for the previous entry (T187184)

[[Special:Emailuser/Andrei_Stroe]] returns:

This user has chosen not to receive email from other users.

Please contact me by your favourite communication channel to receive your temporary password.

I have enabled my e-mail address.

Urbanecm closed this task as Resolved.May 20 2018, 6:39 PM

Wiki was created.